# $Revision: 1.19 $, $Date: 2008/07/27 22:20:19 $
Summary:	Application to quickly and easily change video resolutions in X
Summary(pl.UTF-8):	Aplikacja do szybkiej i łatwej zmiany rozdzielczości pod X
Name:		gvidm
Version:	0.8
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.dakotacom.net/~donut/programs/gvidm/%{name}-%{version}.tar.gz
# Source0-md5:	fa9bbf18561c7830e0f9b2d3995e3720
Source1:	%{name}.png
Source2:	%{name}.desktop
URL:		http://www.dakotacom.net/~donut/programs/gvidm.html
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
gvidm is a GTK+ app to quickly and easily change video resolutions in
X. Running it will pop up a list of available modes, upon choosing a
mode or cancelling, it exits. This makes it perfect for running from
an application menu or a hotkey, so you don't have to use ram for an
applet constantly running. If you are running dual or multi-head
displays, it will give you a list of screens so you can select the
appropriate one. gvidm is based on gvid (similar GNOME application).

%description -l pl.UTF-8
gvidm to aplikacja GTK+ do szybkiej i łatwej zmiany rozdzielczości pod
X. Po uruchomieniu wyświetla listę dostępnych trybów, a po wybraniu
któregoś lub rezygnacji kończy pracę. Dzięki temu może być łatwo
uruchamiana z menu aplikacji lub klawiszem skrótu i nie zajmuje przy
tym pamięci. W przypadku pracy z wieloma monitorami pozwala wybrać
ten, którego ma dotyczyć zmiana. gvidm bazuje na programie gvid
(służącym do tego samego celu, ale będącym aplikacją GNOME).

%prep
%setup -q

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_pixmapsdir},%{_desktopdir}}

install gvidm $RPM_BUILD_ROOT%{_bindir}
install gvidm.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gvidm.spec,v $
Revision 1.19  2008/07/27 22:20:19  arekm
- release 3

Revision 1.18  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.16  2006/03/25 20:45:54  megabajt
- modular xorg deps

Revision 1.15  2006/03/25 18:54:07  megabajt
- BR: libstdc++-devel

Revision 1.14  2006/01/10 11:52:32  megabajt
- added icon and desktop file
- rel. 2

Revision 1.13  2005/01/12 23:04:47  paladine
- proper license
- requires gtk+2 by default
- pl fix

Revision 1.12  2005/01/12 22:36:01  czucz
- updated to 0.8

Revision 1.11  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.10  2004/08/21 19:35:45  misi3k
- updated to 0.7

Revision 1.9  2004/04/07 21:13:05  adamg
- updated to 0.6

Revision 1.8  2003/12/18 19:13:31  domelu
- up to 0.5

Revision 1.7  2003/06/20 18:43:36  eothane
- changed URL: and Source0: to good ones

Revision 1.6  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:48:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.3  2002/08/10 10:31:10  kloczek
- use new %doc,
TODO: add desktop file.

Revision 1.2  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/14 22:17:53  qboosh
- new

